### pkg::create Commandes Internes Tcl

NOM
pkg::create – Construit une commande package ifneeded appropriée pour un package donné
SYNTAXE
::pkg::create -name packageName -version packageVersion ?-load filespec? ... ?-source filespec? ...
DESCRIPTION
::pkg::create est une fonction utilitaire qui fait partie de la bibliothèque standard Tcl. Elle est utilisée pour créer une commande package ifneeded appropriée pour une spécification de package donnée. Elle peut être utilisée pour construire un fichier pkgIndex.tcl utilisé avec le mécanisme package.
OPTIONS
Les paramètres supportés sont:

-name packageName
  Ce paramètre spécifie le nom du package. Il est requis.
-version packageVersion
  Ce paramètre spécifie la version du package. Il est requis.
-load filespec
  Ce paramètre spécifie une bibliothèque binaire qui doit être chargé avec la commande -load. filespec est une liste de deux éléments. Le premier élément est le nom du fichier à charger. Le second, l'élément optionnel est une liste de commandes fournies en chargeant ce fichier. Si la liste des fonctions est vide ou omise, ::pkg::create prépare la bibliothèque à un chargement direct (voir pkg_mkIndex). N'importe quel nombre de paramètres -load peut être spécifié.
-source filespec
  Ce paramètre est semblable au paramètre -load , excepté qu'il spécifie une bibliothèque Tcl qui doit être chargée avec la commande source. N'importe quel nombre de paramètres -source peut être spécifié.

Au moins un paramètre-load ou -source doit être donné.
Dernière révision: 8.3
Index Précédent Suivant